# Doskast

Набор программ Doskast обеспечивает трансляцию экрана с компьютеров учеников на электронную доску (компьютер с большим экраном).

Пакет `doskast-student` ставится на компьютеры учеников, а пакет `doskast-board` — на доску.

## Подготовка компьютерного класса

### Сеть
* Между компютерами и доской должна быть двусторонняя связь (компьютер ученика подключается к доске, посылая ей запрос на подключение к нему, а затем доска подключается к компьютеру ученика)
* У доски должен быть статический (или иным способом неизменный) IP-адрес, поскольку он прописывается в настройках на компьютере ученика

## Компьютер ученика
* Установить пакет `doskast-student`
* Выполнить от root: `systemctl enable doskast-xpra-shadow.socket`
* Запустить приложение "Настройка Doskast" (требуется пароль администратора из группы wheel)
* Ввести в нем IP-адрес доски и сохранить настройки
* Перезагрузить систему

## Доска
* Установить пакет `doskast-board`
* Выполнить от root: `a2enmod cgi`
* Выполнить от root: `systemctl enable httpd2`
* Перезагрузить систему

## Безопасность
Безопасность обеспечивается работой всех узлов внутри доверенной сети и тем, что программа настройки Doskast у ученика настраивает eBPF-фаервол так, чтобы трафик службы systemd `doskast-xpra-shadow.service` (которая запускается при сетевом обращении к `doskast-xpra-shadow.socket`) мог ходить только между компьютером ученика и IP-адресом доски. Подключиться с других IP невозможно. Авторизации для соединения не производится.
